Bug 999534 - Can't create data provider from teiid datasource
Can't create data provider from teiid datasource
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Dashboard Builder (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER1
: 6.0
Assigned To: Van Halbert
:
Depends On:
Blocks: 999974
  Show dependency treegraph
 
Reported: 2013-08-21 09:50 EDT by Filip Elias
Modified: 2014-07-09 01:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 999974 (view as bug list)
Environment:
Last Closed: 2014-02-06 10:37:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Elias 2013-08-21 09:50:38 EDT
Description of problem:
Can't create Data provider which uses teiid datasource. 
When I click on "Attempt data load" or "Save", validation error will appear that says "SQL cannot be null for CallableStatement or PreparedStatement".

It seems that HibernateInitializer.java doesn't support Teiid. 
Method inferDatabaseName(DataSource ds) doesn't check dbProductName for string "teiid" so it returns NULL and therefore the whole operation will fail.

Steps to Reproduce:
1. Create Teiid datasource
2. Select Data providers > Create new data provider   > Type: SQL Query
3. Select Teiid datasource
4. Add anything in the Query field
5. Click "Attempt data load" or "Save" button
Comment 5 Filip Elias 2013-11-15 04:23:12 EST
Verified on DV6 ER3

Note You need to log in before you can comment on or make changes to this bug.